libcamera: libcamera::ipa::ipu3::IPASessionConfiguration Struct Reference

libcamera v0.0.4 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::ipa::ipu3::IPASessionConfiguration Struct Reference

Session configuration for the IPA module. More...

Collaboration diagram for libcamera::ipa::ipu3::IPASessionConfiguration:
[legend]

## Public Attributes
struct {
ipu3_uapi_grid_config bdsGrid
Size bdsOutputSize
uint32_t stride
} | grid
| Grid configuration of the IPA.
struct {
ipu3_uapi_grid_config afGrid
} | af
| AF grid configuration of the IPA.
struct {
utils::Duration minShutterSpeed
utils::Duration maxShutterSpeed
double minAnalogueGain
double maxAnalogueGain
} | agc
| AGC parameters configuration of the IPA.
struct {
int32_t defVBlank
utils::Duration lineDuration
Size size
} | sensor
| Sensor-specific configuration of the IPA.

## Detailed Description

Session configuration for the IPA module.

The session configuration contains all IPA configuration parameters that remain constant during the capture session, from IPA module start to stop. It is typically set during the configure() operation of the IPA module, but may also be updated in the start() operation.

## Member Data Documentation

## ◆ af

libcamera::ipa::ipu3::IPASessionConfiguration::af

AF grid configuration of the IPA.

## ◆ agc

libcamera::ipa::ipu3::IPASessionConfiguration::agc

AGC parameters configuration of the IPA.

## ◆ bdsGrid

grid libcamera::ipa::ipu3::IPASessionConfiguration::bdsGrid

Bayer Down Scaler grid plane config used by the kernel.

## ◆ bdsOutputSize

grid libcamera::ipa::ipu3::IPASessionConfiguration::bdsOutputSize

BDS output size configured by the pipeline handler.

## ◆ defVBlank

sensor libcamera::ipa::ipu3::IPASessionConfiguration::defVBlank

The default vblank value of the sensor.

## ◆ grid

libcamera::ipa::ipu3::IPASessionConfiguration::grid

Grid configuration of the IPA.

## ◆ lineDuration

sensor libcamera::ipa::ipu3::IPASessionConfiguration::lineDuration

Line duration in microseconds.

## ◆ maxShutterSpeed

agc libcamera::ipa::ipu3::IPASessionConfiguration::maxShutterSpeed

Maximum shutter speed supported with the configured sensor.

## ◆ minAnalogueGain

agc libcamera::ipa::ipu3::IPASessionConfiguration::minAnalogueGain

Minimum analogue gain supported with the configured sensor.

## ◆ minShutterSpeed

agc libcamera::ipa::ipu3::IPASessionConfiguration::minShutterSpeed

Minimum shutter speed supported with the configured sensor.

## ◆ sensor

libcamera::ipa::ipu3::IPASessionConfiguration::sensor

Sensor-specific configuration of the IPA.

The documentation for this struct was generated from the following files:

- src/ipa/ipu3/ipa_context.h
- src/ipa/ipu3/ipa_context.cpp